SoDecomposeVec3f(3)

NAME
SoDecomposeVec3f - The SoDecomposeVec3f class is used to decompose 3D vectors into three floats.

SYNOPSIS

#include <Inventor/engines/SoDecomposeVec3f.h>

Inherits SoEngine.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoFieldData * getFieldData (void) const
virtual const SoEngineOutputData * getOutputData (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass ()

  Public Attributes
SoMFVec3f vector
SoEngineOutput x
SoEngineOutput y
SoEngineOutput z

  Static Protected Member Functions
static const SoFieldData ** getInputDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoDecomposeVec3f class is used to decompose 3D vectors into three floats.

Member Function Documentation

  SoType SoDecomposeVec3f::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoDecomposeVec3f::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoDecomposeVec3f::getInputDataPtr (void) [static], [protected]
Returns the SoFieldData class which holds information about inputs in this engine.

  const SoEngineOutputData ** SoDecomposeVec3f::getOutputDataPtr (void) [static], [protected]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

  const SoFieldData * SoDecomposeVec3f::getFieldData (void) const [virtual]
Returns the SoFieldData class which holds information about inputs in this engine.

Reimplemented from SoFieldContainer.

  const SoEngineOutputData * SoDecomposeVec3f::getOutputData (void) const [virtual]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

Implements SoEngine.

  void * SoDecomposeVec3f::createInstance (void) [static]
Creates a new instance of the class type corresponding to the SoType object.

Member Data Documentation

  SoMFVec3f SoDecomposeVec3f::vector
Set of input vectors to be decomposed into their coordinate elements.

  SoEngineOutput SoDecomposeVec3f::x
(SoMFFloat) First coordinates of the input vectors.

  SoEngineOutput SoDecomposeVec3f::y
(SoMFFloat) Second coordinates of the input vectors.

  SoEngineOutput SoDecomposeVec3f::z
(SoMFFloat) Third coordinates of the input vectors.

Author

Generated automatically by Doxygen for Coin from the source code.